﻿ 
 
.album {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
    gap: 20px;
    padding: 30px;
}

.photo img {
    width: 100%;
    height: 220px;
    object-fit: cover;
    cursor: pointer;
    border-radius: 10px;
    transition: 0.3s;
}

    .photo img:hover {
        transform: scale(1.08);
    }

/* Popup */

.popup {
    display: none;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.9);
}

.popup-img {
    display: block;
    margin: auto;
    max-width: 90%;
    max-height: 80%;
    margin-top: 60px;
}

/* Close */

.close {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 40px;
    color: white;
    cursor: pointer;
}

/* Navigation */

.prev,
.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 50px;
    color: white;
    cursor: pointer;
    padding: 10px;
    user-select: none;
}

.prev {
    left: 20px;
}

.next {
    right: 20px;
}

    .prev:hover,
    .next:hover {
        color: #ccc;
    }
